﻿@model IEnumerable<ApplicationUser>
@inject UserManager<ApplicationUser> UserManager


<head>
    <meta name="viewport" content="width=device-width" />
    <title>Application Users</title>
</head>
<body>
    <table class="table table-sm table-striped table-bordered" border="1"; width="100%" >
        <thead>
            <tr style="font-weight: bold">
                <td style="text-align: center">User Email</td>
                <td style="text-align: center">Options</td>
            </tr>
        </thead>

        <tbody>
            @foreach (var u in Model)
            {
                <tr>
                    <div>
                        @if (u.Email != UserManager.GetUserName(User))
                        {
                            <td style="max-width: 200px">
                                <div style="white-space: nowrap; overflow: hidden; text-overflow: ellipsis">@u.Email</div>
                            </td>
                            <td style="white-space: nowrap">
                                <a asp-action="DeleteUser" class="btn btn-sm btn-danger" asp-route-UserID="@u.Id">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </td>
                        }
                    </div>
                </tr>
            }
        </tbody>
    </table>
</body>